2012-09-17 17:49:23 +02:00
|
|
|
Index: xen-4.2.0-testing/tools/hotplug/Linux/init.d/xencommons
|
2011-05-10 18:44:09 +02:00
|
|
|
===================================================================
|
2012-09-17 17:49:23 +02:00
|
|
|
--- xen-4.2.0-testing.orig/tools/hotplug/Linux/init.d/xencommons
|
|
|
|
+++ xen-4.2.0-testing/tools/hotplug/Linux/init.d/xencommons
|
|
|
|
@@ -60,21 +60,26 @@ do_start () {
|
|
|
|
local time=0
|
|
|
|
local timeout=30
|
2011-05-10 18:44:09 +02:00
|
|
|
|
2012-09-17 17:49:23 +02:00
|
|
|
- modprobe xen-evtchn 2>/dev/null
|
|
|
|
- modprobe xen-gntdev 2>/dev/null
|
|
|
|
- modprobe xen-gntalloc 2>/dev/null
|
|
|
|
- modprobe xen-blkback 2>/dev/null
|
|
|
|
- modprobe xen-netback 2>/dev/null
|
|
|
|
- modprobe xen-pciback 2>/dev/null
|
|
|
|
- modprobe evtchn 2>/dev/null
|
|
|
|
- modprobe gntdev 2>/dev/null
|
|
|
|
- modprobe netbk 2>/dev/null
|
|
|
|
- modprobe blkbk 2>/dev/null
|
|
|
|
- modprobe xen-scsibk 2>/dev/null
|
|
|
|
- modprobe usbbk 2>/dev/null
|
|
|
|
- modprobe pciback 2>/dev/null
|
|
|
|
- modprobe xen-acpi-processor 2>/dev/null
|
|
|
|
- modprobe blktap2 2>/dev/null || modprobe blktap 2>/dev/null
|
|
|
|
+ #modprobe xen-evtchn 2>/dev/null
|
|
|
|
+ #modprobe xen-gntdev 2>/dev/null
|
|
|
|
+ #modprobe xen-gntalloc 2>/dev/null
|
|
|
|
+ #modprobe xen-blkback 2>/dev/null
|
|
|
|
+ #modprobe xen-netback 2>/dev/null
|
|
|
|
+ #modprobe xen-pciback 2>/dev/null
|
2011-05-10 18:44:09 +02:00
|
|
|
+ modprobe evtchn 2>/dev/null || true
|
|
|
|
+ modprobe gntdev 2>/dev/null || true
|
2012-09-17 17:49:23 +02:00
|
|
|
+ modprobe gntalloc 2>/dev/null || true
|
2011-05-10 18:44:09 +02:00
|
|
|
+ modprobe netbk 2>/dev/null || true
|
2012-09-17 17:49:23 +02:00
|
|
|
+ modprobe blkbk 2>/dev/null || true
|
|
|
|
+ modprobe xen-scsibk 2>/dev/null || true
|
2011-05-10 18:44:09 +02:00
|
|
|
+ modprobe usbbk 2>/dev/null || true
|
2012-09-17 17:49:23 +02:00
|
|
|
+ modprobe pciback 2>/dev/null || true
|
|
|
|
+ modprobe xen-acpi-processor 2>/dev/null || true
|
|
|
|
+ modprobe blktap2 2>/dev/null || modprobe blktap 2>/dev/null || true
|
2011-05-10 18:44:09 +02:00
|
|
|
+ # xenblk (frontend module) is needed in dom0, allowing it to use vbds
|
|
|
|
+ modprobe xenblk 2>/dev/null || true
|
2012-08-10 23:38:41 +02:00
|
|
|
+ # support xl create pv guest with qcow/qcow2 disk image
|
|
|
|
+ modprobe nbd max_part=8 2>/dev/null || true
|
2012-09-17 17:49:23 +02:00
|
|
|
mkdir -p /var/run/xen
|
|
|
|
|
2011-05-10 18:44:09 +02:00
|
|
|
if ! `xenstore-read -s / >/dev/null 2>&1`
|